package com.siwei.rsmonitoring.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TDkAuditflowStepMapper;
import com.siwei.rsmonitoring.domain.TDkAuditflowStep;
import com.siwei.rsmonitoring.service.ITDkAuditflowStepService;

/**
 * 地块的审核流程步骤Service业务层处理
 * 
 * @author siwei
 * @date 2025-01-20
 */
@Service
public class TDkAuditflowStepServiceImpl implements ITDkAuditflowStepService 
{
    @Autowired
    private TDkAuditflowStepMapper tDkAuditflowStepMapper;

    /**
     * 查询地块的审核流程步骤
     * 
     * @param id 地块的审核流程步骤主键
     * @return 地块的审核流程步骤
     */
    @Override
    public TDkAuditflowStep selectTDkAuditflowStepById(String id)
    {
        return tDkAuditflowStepMapper.selectTDkAuditflowStepById(id);
    }

    /**
     * 查询地块的审核流程步骤列表
     * 
     * @param tDkAuditflowStep 地块的审核流程步骤
     * @return 地块的审核流程步骤
     */
    @Override
    public List<TDkAuditflowStep> selectTDkAuditflowStepList(TDkAuditflowStep tDkAuditflowStep)
    {
        return tDkAuditflowStepMapper.selectTDkAuditflowStepList(tDkAuditflowStep);
    }

    /**
     * 新增地块的审核流程步骤
     * 
     * @param tDkAuditflowStep 地块的审核流程步骤
     * @return 结果
     */
    @Override
    public int insertTDkAuditflowStep(TDkAuditflowStep tDkAuditflowStep)
    {
        return tDkAuditflowStepMapper.insertTDkAuditflowStep(tDkAuditflowStep);
    }

    /**
     * 修改地块的审核流程步骤
     * 
     * @param tDkAuditflowStep 地块的审核流程步骤
     * @return 结果
     */
    @Override
    public int updateTDkAuditflowStep(TDkAuditflowStep tDkAuditflowStep)
    {
        return tDkAuditflowStepMapper.updateTDkAuditflowStep(tDkAuditflowStep);
    }

    /**
     * 批量删除地块的审核流程步骤
     * 
     * @param ids 需要删除的地块的审核流程步骤主键
     * @return 结果
     */
    @Override
    public int deleteTDkAuditflowStepByIds(String[] ids)
    {
        return tDkAuditflowStepMapper.deleteTDkAuditflowStepByIds(ids);
    }

    /**
     * 删除地块的审核流程步骤信息
     * 
     * @param id 地块的审核流程步骤主键
     * @return 结果
     */
    @Override
    public int deleteTDkAuditflowStepById(String id)
    {
        return tDkAuditflowStepMapper.deleteTDkAuditflowStepById(id);
    }
}
